Subject: [PCN] [Fwd: I-D Submitter Authentication for draft-menth-pcn-implicit-probing]

From: Michael Menth <[email-masked]>
Date: Mon, 05 Jul 2010 15:16:21 +0200

Hi all,

I just submitted a draft on "implicit-probing".
http://tools.ietf.org/html/draft-menth-pcn-implicit-probing

It describes an admission control method that uses only the PCN-mark of 
an initial signalling message for a flow to decide whether admit or 
block that flow. The idea has been previously described in the 
psdm-encoding document and some people found this method useful. As it 
is independent of psdm, I formulated this mechanism as an own edge 
behavior which may use either baseline or 3-in-1 encoding.

Kind regards,

    Michael

-------- Original-Nachricht --------
Betreff: 	I-D Submitter Authentication for draft-menth-pcn-implicit-probing
Datum: 	Mon, 5 Jul 2010 05:37:19 -0700 (PDT)
Von: 	IETF I-D Submission Tool <[email-masked]>
An: 	[email-masked]

Please follow the link below to complete your I-D submission.

https://datatracker.ietf.org/idst/auto_post.cgi?auth_key=bBoak8PCJRyxYjL4OcqWZQiqbdhjbIS0&submission_id=24799

Please note that if you do not follow the link above by 2010-07-08, then this submission will be canceled and your Internet-Draft will be permanently removed from the staging area.

THIS PROCESS MUST BE COMPLETED BEFORE ANY CUTOFF DATES.  IF A CUTOFF PERIOD BEGINS BEFORE YOU COMPLETE THE SUBMISSION PROCESS, YOUR SUBMISSION CANNOT BE ACCEPTED.

The IETF Secretariat.

-- 
PD Dr. habil. Michael Menth, Assistant Professor
University of Wuerzburg, Institute of Computer Science
Am Hubland, D-97074 Wuerzburg, Germany, room B206
phone: (+49)-931/31-86644 (new), fax: (+49)-931/31-86632 (new)
mailto:[email-masked]
http://www3.informatik.uni-wuerzburg.de/research/ngn

---

From: <[email-masked]>
Date: Mon, 5 Jul 2010 17:23:00 +0100

Just a minor point. Suggest using a less controversial term than 'probing'

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Michael Menth
> Sent: 05 July 2010 14:16
> To: pcn
> Subject: [PCN] [Fwd: I-D Submitter Authentication for
> draft-menth-pcn-implicit-probing]
>
>
> Hi all,
>

The IETF Secretariat.

phone: (+49)-931/31-86644 (new), fax: (+49)-931/31-86632 (new) mailto:[email-masked]

_______________________________________________
PCN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pcn

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Tue, 6 Jul 2010 11:54:47 +0200

Hi Michael

I have a comment on draft-menth-pcn-implicit-probing:

In Section 3.3 you mention:

" In case of RSVP, the PCN-egress-node performs the following non-
   standard actions.  If the PCN-egress-node receives an initial not-
   marked PATH message, the PCN-egress-node forwards the message as
   usual.  If the PCN-egress-node receives an initial re-marked PATH
   message, the PCN-egress-node drops the PATH message and returns a
   PATH TEAR message to the previous RSVP hop indicating insufficient
   resources."

In my opinion you should use a PATH Err message instead of a PATH TEAR
message. 
This is because RFC 2205 specifies that PATH and PATHTear are sent
downstream and PATHErr is sent upstream, which is the situation mentiojned
in Section 3.3.

According to RFC 2205:
"A PathTear message travels towards all receivers
      downstream from its point of initiation and deletes path state, as
      well as all dependent reservation state, along the way."

"PathErr
      messages are very simple; they are simply sent upstream to the
      sender that created the error, and they do not change path state
      in the nodes though which they pass."

Best regards,
Georgios

> Sent: maandag 5 juli 2010 15:16
> To: pcn
> Subject: [PCN] [Fwd: I-D Submitter Authentication 
> fordraft-menth-pcn-implicit-probing]
> 
> Hi all,
> 
> It describes an admission control method that uses only the 
> PCN-mark of an initial signalling message for a flow to 
> decide whether admit or block that flow. The idea has been 
> previously described in the psdm-encoding document and some 
> people found this method useful. As it is independent of 
> psdm, I formulated this mechanism as an own edge behavior 
> which may use either baseline or 3-in-1 encoding.
> 
> Kind regards,
> 
>     Michael
> 
> https://datatracker.ietf.org/idst/auto_post.cgi?auth_key=bBoak
8PCJRyxYjL4OcqWZQiqbdhjbIS0&submission_id=24799
> 
> Please note that if you do not follow the link above by 
> 2010-07-08, then this submission will be canceled and your 
> Internet-Draft will be permanently removed from the staging area.
> 
> THIS PROCESS MUST BE COMPLETED BEFORE ANY CUTOFF DATES.  IF A 
> CUTOFF PERIOD BEGINS BEFORE YOU COMPLETE THE SUBMISSION 
> PROCESS, YOUR SUBMISSION CANNOT BE ACCEPTED.
> 
> The IETF Secretariat.
> 
> 
> --
> PD Dr. habil. Michael Menth, Assistant Professor University 
> of Wuerzburg, Institute of Computer Science Am Hubland, 
> D-97074 Wuerzburg, Germany, room B206
> phone: (+49)-931/31-86644 (new), fax: (+49)-931/31-86632 
> (new) mailto:[email-masked]

---

From: Michael Menth <[email-masked]>
Date: Tue, 06 Jul 2010 14:21:24 +0200

Hi Georgios,

good catch. Thanks!

Regards,

    Michael